/*
    $Revision$
    $Id$

    File:        imp_list.js
*/

function imp_readin(row)
{
  $(row).addClass('dirty');
  var import_app_key = row.getAttribute("ROWKEY");
  var impData = eval("(" + row.getAttribute("ROWDATA") + ")");
  if (impData)
  {
    var url = "../imp/inlezen_form.asp?import_app_key=" + import_app_key;
    FcltMgr.openModalDetail(url, impData.importfunctie, { width: 400, callback: FcltMgr.reload });
  }
}

// Altijd van een bestaande uitgevoerde import
function imp_process(row)
{
  $(row).addClass('dirty');
  var impData = eval("(" + row.getAttribute("ROWDATA") + ")");
  if (impData)
  {
    var url = "../imp/verwerken_form.asp?import_key=" + impData.import_key;
    FcltMgr.openModalDetail(url, impData.importfunctie, { width: 400, callback: FcltMgr.reload });
  }
}

// Altijd van een bestaande uitgevoerde import
function imp_report(row)
{
  $(row).addClass('dirty');
  var import_app_key = row.getAttribute("ROWKEY");
  var impData = eval("(" + row.getAttribute("ROWDATA") + ")");
  if (impData && impData.import_key > 0)
  {
    var url = "appl/imp/imp_search_rap.asp?import_key=" + impData.import_key;
    FcltMgr.openDetail(url, L("lcl_imp_report") + " " + impData.importcode);
  }
}
